 <?php 


"INSERT INTO  camposantonew.persona (idpersona,idtipo_persona,nombre,nombre_nicho,idtipo_documento,num_documento,direccion,celular,telefono,whatsapp,razon_social,estado) 
SELECT idpersona,'1',nombre,nombre_nicho,'1',num_documento,direccion,telefono,0,0,razon_social,'1' FROM camposanto.persona";


"UPDATE persona p
JOIN tb_detallepabellon t ON p.idpersona = t.idcliente
JOIN tb_difunto d ON t.iddifunto = d.idpersona
SET p.nombre_nicho = d.nombre
WHERE UPPER(d.nombre) LIKE 'FAM%'";

"INSERT camposantonew.difunto(iddifunto,nombre,idtipo_documento,num_documento,descripcion_fallecimiento,fecha_fallecimiento,fecha_entierro,estado)
SELECT idpersona,nombre,1,num_documento,descripcion_fallecimiento,fechafallecimiento,fechaentierro,1 FROM camposanto.tb_difunto";


"UPDATE tb_difunto d
JOIN detalle_venta v ON d.idpersona=v.iddifunto
SET d.descripcion_fallecimiento=v.motivofac,
    d.fechaentierro=v.fechaentierro";


"INSERT camposantonew.pabellon(idpabellon,nombre,total_fila,total_columna,imagen,estado)
SELECT id,nombrepabellon,totalfila,totalcolu,imagen,1 FROM camposanto.tb_pabellon";

"INSERT camposantonew.contrato(idcontrato,idcliente,idusuario,serie,correlativo,fecha_hora,total_intereses,total_contrato,nrocontrato,descripcion,tipo_contrato,tipo_ingreso,estado_contrato)
SELECT idventa,idcliente,idusuario,serie,correlativo,fecha_hora,0,total_venta,nrocontrato,descripcion,tipo_contrato,tipoingreso,estado FROM camposanto.venta";

"UPDATE camposantonew.detalle_pabellon AS dp
 JOIN camposanto.tb_detallepabellon AS tdp
     ON  dp.idpabellon=tdp.idp  AND dp.fila = tdp.fila AND dp.columna = tdp.columna
SET dp.precio_venta = tdp.precio_venta,
    dp.idcontrato = tdp.idventa,
    dp.iddifunto = tdp.iddifunto,
    dp.estado_nicho=tdp.estado";


"INSERT camposantonew.ingreso(idcontrato,idusuario,descripcion,monto,nrorecibo,idcierre,fecha,metodo_pago)
SELECT idventa,idusu,descripcion,monto,nrorecibo,0,fechainsert,tipopago FROM camposanto.tb_ingreso";

"UPDATE camposantonew.detalle_pabellon AS dp
 JOIN camposanto.detalle_venta AS tdp
     ON  dp.idpabellon=tdp.idarticulo  AND dp.fila = tdp.fila AND dp.columna = tdp.columna
SET dp.precio_venta = tdp.precio_venta,
    dp.idcontrato = tdp.idventa";

"UPDATE camposantonew.detalle_pabellon as dp
    LEFT JOIN camposantonew.contrato as c
        ON dp.idcontrato = c.idcontrato 
    SET dp.idpersona=c.idcliente"
    


 ?>